    ‪©Copyright 2002-2012 Marvell®.‬
    All rights reserved.

    Readme File for YK63X64.sys, Windows 8/Windows 8 Server (64 bit)

# This file contains

1 Overview
2 Parameters

## 1 Overview

    yk63x64.sys: 64-bit Miniport driver, NDIS6.3

    NOTE: Make sure that Windows is installed with the latest service packs
          and updates.

## 2 Parameters

    The driver allows you to modify several options in order to optimize the
    operation of your adapter.

    1.  In "Network Connections", right-click the adapter you want to configure.
    2.  Select "Properties".
    3.  Click "Configure".
    4.  Click "Advanced".
    5.  In the "Property" box, select the option you want to change.
    6.  Enter the desired value in the "Value" box.
    7.  Click OK.
        The operating system will reload the driver with the changed settings.

    The parameters supported by the driver are described below.

    Network Address
    ----------------
    Default value:	burned-in adapter address

    Valid range:    The network address is a 12-digit number in hexadecimal
                    format. The valid range is from "00-00-00-00-00-01" to
                    "FE-FF-FF-FF-FF-FF".

                    To indicate that the address field contains an individual
                    address, the least significant bit (bit 0 of the highest byte)
                    must not be set (bit 0 = 1 would indicate a multicast address).
                    Example: 0x-00-5A-98-12-34, where x must either be an even
                    number or A, C, or E.

    CAUTION: 	Each individual network MAC address can only be used once in a
                    network. Assigning the same address to more than one adapter in
                    the same network is not allowed and can cause serious problems.

                    If you change the network address, it is recommended to set the
                    locally administered bit (bit 1 of the highest byte) to
                    indicate that the address has been assigned by the local
                    administrator.

                    If the network address field is left blank (or a different
                    number of digits is specified), the network address burned
                    into the adapter will be used.

    Jumbo Packet
    -------------
    Specifies the frame size the driver supports.
    The performance of your network usually increases when Jumbo frames with
    a size > 1514 are used.

    Default value: "1514 Bytes"
    Valid values:
                  - "4088 Bytes"
                  - "9014 Bytes"

    NOTE: If you are not sure whether your network supports Jumbo frames,
          do not set the size to > 1514.

    NOTE: For Fast Ethernet adapters, the valid range is limited to 1514.

    IPv4 Checksum Offload
    ----------------------
    Used to control the hardware checksum offload for IPv4 traffic.
    There should be no need to disable checksum offload.

    Default value: "Rx & Tx Enabled"
    Valid values:
    	- "Rx & Tx Enabled"
    	- "Tx Enabled"
    	- "Rx Enabled"
    	- "Disabled"

    TCP Checksum Offload (IPv4), UDP Checksum Offload (IPv4),
    TCP Checksum Offload (IPv6), UDP Checksum Offload (IPv6)
    ----------------------------------------------------------
    Used to control the hardware checksum offload for the combinations of
    TCP/UDP and IP versions.
    There should be no need to disable checksum offload.

    Default value: "Rx & Tx Enabled"
    Valid values:
    	- "Rx & Tx Enabled"
    	- "Tx Enabled"
    	- "Rx Enabled"
    	- "Disabled"

    NOTE: The IPv6 parameters are not available for every adapter type.

    Energy Star
    ------------
    Used to reduce power consumption in Standby and Hibernate state when
    Wake On LAN capabilities are enabled.

    Default value: "Enabled"
    Valid values:
    	- "Disabled":
    		No energy saving functions are switched on in the adapter.
    	- "Enabled":
    		The link speed is switched to 10 Mbps to reduce power
    		consumption.

    NOTE: This parameter is not available for every adapter type.

    Interrupt Moderation
    ---------------------
    If more than the specified rate of interrupts occur, the Interrupt Moderation
    function groups these interrupts so that several data packets can be handled
    per interrupt. This will lead to lower CPU utilization but may increase the
    latency.

    Default value: "Enabled"
    Valid values:
    	- "Enabled"
    	- "Disabled"

    Speed & Duplex
    ---------------
    Contains information regarding auto-negotiation, duplex capabilities, and link
    speed.

    Default value: "Auto Negotiation"
    Valid values:
    	- "Auto Negotiation"
    	- "10 Mbps Half Duplex"
    	- "10 Mbps Full Duplex"
    	- "100 Mbps Half Duplex"
    	- "100 Mbps Full Duplex"

    NOTE: This parameter is not valid for fiber adapters.

    Battery Mode Link Detection
    ----------------------------
    Sets the mode in which the adapter works if there is no link and the system is
    battery-powered.

    Default value: "EnergyDetect+™"
    Valid values:
    	- "No Energy Saving":
    		No energy saving functions are switched on in the adapter.
    	- "Maximum Energy Saving":
    		If there is no link, the adapter is switched off.
    		The driver wakes up the adapter every 20 seconds to check
    		if there is a new link.
    	- "EnergyDetect+™":
    		In "EnergyDetect+™" mode, the link is activated faster
    		than in "Maximum Energy Saving" mode, but the adapter
    		requires more power.

    NOTE: This parameter is not available for every adapter type.

    Battery Speed Settings
    -----------------------
    Sets the link speed for the adapter when the system is battery-powered.

    Default value: "Full Speed"
    Valid values:
    	- "Smart Speed Down":
    		The link speed is switched to 10/100 Mbps to reduce
    		power consumption.
    	- "Full Speed":
    		The adapter works with maximum speed and maximum
    		power consumption (no energy saving, same as when
    		the system is supplied by AC power).

    NOTE: This parameter is not available for every adapter type.

    Flow Control
    -------------
    Sets the flow control capabilities for auto-negotiation.

    Default value: "Rx & Tx Enabled"
    Valid values:
    	- "Disabled":
    		No link partner is allowed to send PAUSE frames.
    	- "Rx & Tx Enabled":
    		Both link partners are allowed to send PAUSE frames.

    This parameter can be set for each port individually, which is helpful if the
    port at the other end of the cable cannot handle all possible combinations.
    Using the default setting, the adapter should automatically detect the
    capabilities of the peer port.

    Large Send Offload (IPv4)
    --------------------------
    Used to control the capability of Large Send Offload for IPv4 traffic.

    Default value: "Enabled"
    Valid values:
    	- "Enabled":
    		The big packets are segmented on the adapter before sent
    		to the network. Using this method, load will be taken from
    		the processor.
    	- "Disabled":
    		The packets are not segmented by the adapter.

    NOTE: This parameter is only available starting with adapters based on the
          Yukon2 chip.

    Large Send Offload v2 (IPv4),
    Large Send Offload v2 (IPv6)
    ------------------------------
    Used to control the capability of Large Send Offload version 2 for IPv4 and
    IPv6 traffic.

    Default value: "Enabled"
    Valid values:
    	- "Enabled"
    	- "Disabled"

    NOTE: These parameters are not available for every adapter type.

    Wake on magic packet
    ---------------------
    Enables/disables Wake On LAN by Magic Packet™.

    Default value: "Enabled"
    Valid values:
    	- "Enabled"
    	- "Disabled"

    Wake on pattern match
    ----------------------
    Enables/disables Wake On LAN by pattern match.

    Default value: "Enabled"
    Valid values:
    	- "Enabled"
    	- "Disabled"

    *** End of Readme File ***